=== debian/changelog ===
molmodel (3.0~svn842-2) unstable; urgency=medium

  * Adding 'Rules-Requires-Root: no'.
  * Bumping debhelper-compat.
  * Not installing examples for now.
  * Installing docs.

 -- Andrius Merkys <merkys@debian.org>  Wed, 17 Jun 2020 07:21:24 -0400

molmodel (3.0~svn842-1) unstable; urgency=medium

  * Initial release (Closes: #962029)

 -- Andrius Merkys <merkys@debian.org>  Thu, 04 Jun 2020 08:35:56 -0400
