=== debian/control ===
Source: molmodel
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libmmdb2-dev,
 libsimbody-dev,
Standards-Version: 4.5.0
Section: libs
Homepage: https://simtk.org/projects/molmodel
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debichem-team/molmodel
Vcs-Git: https://salsa.debian.org/debichem-team/molmodel.git

Package: libsimtkmolmodel-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libsimtkmolmodel3.0 (= ${binary:Version}),
 ${misc:Depends},
Description: C++ API for creating molecular models for SimTK (development files)
 Provides C++ API for creating molecular models whose dynamics can be simulated
 using the SimTK Simbody library. Molmodel is a programmer's toolkit for
 building reduced-coordinate, yet still all-atom, models of large biopolymers
 such as proteins, RNA, and DNA. One can control the allowed mobility. By
 default, Molmodel builds torsion-coordinate models in which bond stretch and
 bend angles are rigid while bond torsion angles are mobile. But one is able
 to rigidify or free any subsets of the atoms, such as the rigid benzene ring.
 .
 Molmodel is a C++ API for biochemist-friendly molecular modeling that extends
 the Simbody API to simplify construction of high-performance articulated models
 of molecules.
 .
 This package contains development files.

Package: libsimtkmolmodel3.0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C++ API for creating molecular models for SimTK
 Provides C++ API for creating molecular models whose dynamics can be simulated
 using the SimTK Simbody library. Molmodel is a programmer's toolkit for
 building reduced-coordinate, yet still all-atom, models of large biopolymers
 such as proteins, RNA, and DNA. One can control the allowed mobility. By
 default, Molmodel builds torsion-coordinate models in which bond stretch and
 bend angles are rigid while bond torsion angles are mobile. But one is able
 to rigidify or free any subsets of the atoms, such as the rigid benzene ring.
 .
 Molmodel is a C++ API for biochemist-friendly molecular modeling that extends
 the Simbody API to simplify construction of high-performance articulated models
 of molecules.
