=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Most of the tests fail (confirmed by the upstream)
override_dh_auto_test:

override_dh_install:
	dh_install
	dh_install -plibsimtkmolmodel3.0  debian/tmp/usr/lib/libSimTKmolmodel.so.* usr/lib/${DEB_HOST_MULTIARCH}
	dh_install -plibsimtkmolmodel-dev debian/tmp/usr/lib/libSimTKmolmodel.so   usr/lib/${DEB_HOST_MULTIARCH}
	rm -rf debian/tmp/usr/examples # not installing examples for now
