=== debian/watch ===
version=4
opts="mode=svn,pgpmode=none,uversionmangle=s/^0\.0/3.0/" \
 https://simtk.org/svn/molmodel/trunk HEAD
