=== OpenMMPlugin/CMakeLists.txt ===
--- 
+++ 
@@ -6,20 +6,40 @@
 
 # The library is dependent on its local .cpp file and some of
 # the Molmodel classes. We'll list everything to be safe.
-ADD_LIBRARY(OpenMMPlugin SHARED 
-	OpenMMPlugin.cpp
-    ${SOURCE_INCLUDE_FILES} 
-	${API_ABS_INCLUDE_FILES})
+
+IF (OpenMM_STATIC_LIBRARY)
+    ADD_LIBRARY(OpenMMPlugin STATIC
+        OpenMMPlugin.cpp
+        ${SOURCE_INCLUDE_FILES}
+        ${API_ABS_INCLUDE_FILES})
+ELSE ()
+    ADD_LIBRARY(OpenMMPlugin SHARED
+        OpenMMPlugin.cpp
+        ${SOURCE_INCLUDE_FILES}
+        ${API_ABS_INCLUDE_FILES})
+ENDIF ()
+
 IF (UNIX AND CMAKE_BUILD_TYPE MATCHES Debug)
     set_target_properties(OpenMMPlugin PROPERTIES DEBUG_POSTFIX "_d")
 ENDIF (UNIX AND CMAKE_BUILD_TYPE MATCHES Debug)
 
 # The plugin depends on the OpenMM.dll that is part of
-# the OpenMM distribution. 
-TARGET_LINK_LIBRARIES(OpenMMPlugin
-  ${SHARED_TARGET}			   # SimTKMolmodel.dll
-  ${OpenMM_LIBRARIES})
+# the OpenMM distribution.
 
+IF (BUILD_UNVERSIONED_LIBRARIES)
+    TARGET_LINK_LIBRARIES(OpenMMPlugin
+        ${SHARED_TARGET}			   # SimTKMolmodel.dll
+		SimTKcommon
+        ${OpenMM_LIBRARIES})
+ELSEIF(BUILD_VERSIONED_LIBRARIES)
+    TARGET_LINK_LIBRARIES(OpenMMPlugin
+        ${SHARED_TARGET_VN}			   # SimTKMolmodel.dll
+		SimTKcommon_${Simbody_VERSION}
+        ${OpenMM_LIBRARIES})
+ELSE()
+    MESSAGE(FATAL_ERROR "SimTKmolmodel was not configured to build")
+ENDIF()
+    
 SET_TARGET_PROPERTIES(OpenMMPlugin PROPERTIES
 	PROJECT_LABEL "Plugin - OpenMMPlugin")
