=== sharedTarget/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,13 @@
 ## This whole directory exists just so I could define this extra 
 ## preprocessor value.
 ADD_DEFINITIONS(-DSimTK_MOLMODEL_BUILDING_SHARED_LIBRARY)
+
+IF(UNIX)
+    IF(${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU" OR
+       ${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang")
+           SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
+    ENDIF()
+ENDIF()
 
 IF(BUILD_UNVERSIONED_LIBRARIES)
 
@@ -10,10 +17,17 @@
                 ${SOURCE_INCLUDE_FILES} 
                 ${API_ABS_INCLUDE_FILES})
     
-    TARGET_LINK_LIBRARIES(${SHARED_TARGET} 
-	${Simbody_LIBRARIES}
-        ${ADDITIONAL_LINK_LIBRARIES})
-    
+	IF (WIN32)
+        TARGET_LINK_LIBRARIES(${SHARED_TARGET} 
+            PRIVATE ${Simbody_LIBRARIES}
+            PRIVATE zdll
+			PRIVATE ws2_32)
+	ELSE()
+        TARGET_LINK_LIBRARIES(${SHARED_TARGET} 
+            PRIVATE ${Simbody_LIBRARIES}
+            PRIVATE z)
+	ENDIF()
+			
     SET_TARGET_PROPERTIES(${SHARED_TARGET} PROPERTIES
     	PROJECT_LABEL "Library - ${SHARED_TARGET}"
         SOVERSION "${MOLMODEL_MAJOR_VERSION}.${MOLMODEL_MINOR_VERSION}")
@@ -35,10 +49,17 @@
                 ${SOURCE_INCLUDE_FILES} 
                 ${API_ABS_INCLUDE_FILES})
     
-    TARGET_LINK_LIBRARIES(${SHARED_TARGET_VN} 
-	${Simbody_LIBRARIES_VN}
-        ${ADDITIONAL_LINK_LIBRARIES})
-    
+    IF (WIN32)
+        TARGET_LINK_LIBRARIES(${SHARED_TARGET_VN} 
+            PRIVATE ${Simbody_LIBRARIES}_${Simbody_VERSION}
+            PRIVATE zdll
+			PRIVATE ws2_32)
+    ELSE()
+            TARGET_LINK_LIBRARIES(${SHARED_TARGET_VN} 
+            PRIVATE ${Simbody_LIBRARIES}_${Simbody_VERSION}
+            PRIVATE z)
+    ENDIF()
+
     SET_TARGET_PROPERTIES(${SHARED_TARGET_VN} PROPERTIES
     	PROJECT_LABEL "Library - ${SHARED_TARGET_VN}")
