=== staticTarget/CMakeLists.txt ===
--- 
+++ 
@@ -11,11 +11,18 @@
                 ${SOURCE_FILES} 
                 ${SOURCE_INCLUDE_FILES} 
                 ${API_ABS_INCLUDE_FILES})
-    
-    TARGET_LINK_LIBRARIES(${STATIC_TARGET}
-	${Simbody_STATIC_LIBRARIES}
-        ${ADDITIONAL_LINK_LIBRARIES})
-    
+ 
+   	IF(WIN32)
+        TARGET_LINK_LIBRARIES(${STATIC_TARGET} 
+            PRIVATE ${Simbody_LIBRARIES}
+            PRIVATE zlib
+			PRIVATE ws2_32)
+    ELSE()
+        TARGET_LINK_LIBRARIES(${STATIC_TARGET} 
+            PRIVATE ${Simbody_STATIC_LIBRARIES}
+            PRIVATE z)
+    ENDIF()
+
     SET_TARGET_PROPERTIES(${STATIC_TARGET} PROPERTIES
     	PROJECT_LABEL "Library - ${STATIC_TARGET}")
     
@@ -35,10 +42,17 @@
                 ${SOURCE_FILES} 
                 ${SOURCE_INCLUDE_FILES} 
                 ${API_ABS_INCLUDE_FILES})
-    
-    TARGET_LINK_LIBRARIES(${STATIC_TARGET_VN}
-	${Simbody_STATIC_LIBRARIES_VN}
-        ${ADDITIONAL_LINK_LIBRARIES})
+
+    IF(WIN32)
+        TARGET_LINK_LIBRARIES(${STATIC_TARGET_VN}
+	        PRIVATE ${Simbody_STATIC_LIBRARIES}_${Simbody_VERSION}
+            PRIVATE zlib
+			PRIVATE ws2_32)
+    ELSE()
+        TARGET_LINK_LIBRARIES(${STATIC_TARGET_VN}
+            PRIVATE ${Simbody_STATIC_LIBRARIES}_${Simbody_VERSION}
+            PRIVATE z)
+    ENDIF()
     
     SET_TARGET_PROPERTIES(${STATIC_TARGET_VN} PROPERTIES
     	PROJECT_LABEL "Library - ${STATIC_TARGET_VN}")
