=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,11 @@
     SET(TEST_ARGS "")
     IF(${TEST_ROOT} MATCHES "TestLoadPdb")
         SET(TEST_ARGS "${CMAKE_SOURCE_DIR}/resources/structures/1FFK_rnafrag10.pdb")
-    ENDIF(${TEST_ROOT} MATCHES "TestLoadPdb")
+    ELSEIF(${TEST_ROOT} MATCHES "TestNucleotide2")
+        SET(TEST_ARGS "${CMAKE_SOURCE_DIR}/resources/SantaLuciaParams/2MG/test.param")
+    ELSEIF(${TEST_ROOT} MATCHES "TestBiotypeSelfCode")
+        SET(TEST_ARGS "${CMAKE_SOURCE_DIR}/resources/tinker_amber99_clean.prm")
+    ENDIF()
 
     IF (BUILD_TESTING_SHARED)
         # Link with shared library
@@ -37,8 +41,8 @@
         SET_TARGET_PROPERTIES(${TEST_ROOT}
 		PROPERTIES
 	      PROJECT_LABEL "Test_Regr - ${TEST_ROOT}")
-        TARGET_LINK_LIBRARIES(${TEST_ROOT} 
-					${TEST_SHARED_TARGET})
+        TARGET_LINK_LIBRARIES(${TEST_ROOT}
+                              ${TEST_SHARED_TARGET})
         ADD_TEST(${TEST_ROOT} ${EXECUTABLE_OUTPUT_PATH}/${TEST_ROOT} ${TEST_ARGS})
     ENDIF()
 
@@ -51,7 +55,7 @@
 		COMPILE_FLAGS "-DSimTK_USE_STATIC_LIBRARIES"
 		PROJECT_LABEL "Test_Regr - ${TEST_STATIC}")
         TARGET_LINK_LIBRARIES(${TEST_STATIC}
-					${TEST_STATIC_TARGET})
+                              ${TEST_STATIC_TARGET})
         ADD_TEST(${TEST_STATIC} ${EXECUTABLE_OUTPUT_PATH}/${TEST_STATIC} ${TEST_ARGS})
     ENDIF()
