=== debian/changelog ===
molmodel (3.0.113.gd05a5b6-1) unstable; urgency=medium

  * New upstream release 3.0.113.gd05a5b6.
  * Repository has moved to GitHub.
  * Dropping upstream-integrated patches.
  * Not building examples (they fail to build).
  * Build-depends on gemmi-dev.
  * Build depends on tao-pegtl-dev and zlib1g-dev (needed by gemmi-dev).
  * Bumping copyright years.

 -- Andrius Merkys <merkys@debian.org>  Fri, 26 Nov 2021 09:53:39 -0500
