=== debian/control ===
--- 
+++ 
@@ -6,8 +6,11 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
+ gemmi-dev,
  libmmdb2-dev,
  libsimbody-dev,
+ tao-pegtl-dev,
+ zlib1g-dev,
 Standards-Version: 4.5.0
 Section: libs
 Homepage: https://simtk.org/projects/molmodel
