=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DBUILD_EXAMPLES=OFF
 
 # Most of the tests fail (confirmed by the upstream)
 override_dh_auto_test:
